def prepare_timeboundary(file_in):
    """Convert benchmark 2 time series to NetCDF tms file.
    input file is a csv created by build_boundary.py
    """
    from Numeric import array, zeros, Float, allclose
    from Scientific.IO.NetCDF import NetCDFFile
    from Numeric import array
    import project
    from os import sep

    boundary_csv = file_in
    boundary_tms = boundary_csv[:-4] + '.tms'
    print 'Creating', boundary_tms

    # Read the ascii (.txt) version of this file
    fid = open(file_in)

    # Skip first line
    line = fid.readline()

    # Read remaining lines
    lines = fid.readlines()
    fid.close()
    

    N = len(lines)
    T = zeros(N, Float)  #Time
    H = zeros(N, Float)  #Values
    X = zeros(N, Float)  #Values
    Y = zeros(N, Float)  #Values

    for i, line in enumerate(lines):
        fields = line.split(',')

        T[i] = float(fields[0])  #time
        H[i] = float(fields[1])  #stage
        X[i] = float(fields[2])  #x-momentum
        Y[i] = float(fields[3])  #y-momentum


    # Create tms NetCDF file
    
    fid = NetCDFFile(boundary_tms, 'w')
    fid.institution = 'Geoscience Australia'
    fid.description = 'Input wave from index %i' %project.index
    fid.starttime = T[0]
    fid.createDimension('number_of_timesteps', len(T))
    fid.createVariable('time', Float, ('number_of_timesteps',))
    fid.variables['time'][:] = T

    fid.createVariable('stage', Float, ('number_of_timesteps',))
    fid.variables['stage'][:] = H

    fid.createVariable('xmomentum', Float, ('number_of_timesteps',))
    fid.variables['xmomentum'][:] = X

    fid.createVariable('ymomentum', Float, ('number_of_timesteps',))
    fid.variables['ymomentum'][:] = Y

    fid.close()



##
###-------------------------------------------------------------
##if __name__ == "__main__":
##

